Ice Reference Documentation
<<< Previous | Properties | Next >>>

# IceStorm Properties

## IceStorm.InstanceName

### Synopsis

    IceStorm.InstanceName=name

### Description

Specifies an alternate identity category for the IceStorm topic manager object. If defined, the identity of the object becomes `name``/TopicManager`. If not specified, the default identity category is `IceStorm`.

## IceStorm.TopicManager.AdapterId

### Synopsis

    IceStorm.TopicManager.AdapterId=id

### Description

Defines the value of the property `adapter`.AdapterId for the object adapter named `IceStorm.TopicManager`.

## IceStorm.TopicManager.ReplicaGroupId

### Synopsis

    IceStorm.TopicManager.ReplicaGroupId=id

### Description

Defines the value of the property `adapter`.ReplicaGroupId for the object adapter named `IceStorm.TopicManager`.

## IceStorm.TopicManager.Endpoints

### Synopsis

    IceStorm.TopicManager.Endpoints=endpoints

### Description

Defines the endpoints for the IceStorm topic manager and topic objects.

## IceStorm.TopicManager.PublishedEndpoints

### Synopsis

    IceStorm.TopicManager.PublishedEndpoints=endpoints

### Description

Defines the published endpoints for the IceStorm topic manager and topic objects. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IceStorm.TopicManager.RegisterProcess

### Synopsis

    IceStorm.TopicManager.RegisterProcess=num

### Description

Defines the value of the property `adapter`.RegisterProcess for the object adapter named `IceStorm.TopicManager`.

## IceStorm.TopicManager.ThreadPool.Size

### Synopsis

    IceStorm.TopicManager.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IceStorm.TopicManager`.

## IceStorm.TopicManager.ThreadPool.SizeMax

### Synopsis

    IceStorm.TopicManager.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IceStorm.TopicManager`.

## IceStorm.TopicManager.ThreadPool.SizeWarn

### Synopsis

    IceStorm.TopicManager.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IceStorm.TopicManager`.

## IceStorm.Publish.AdapterId

### Synopsis

    IceStorm.Publish.AdapterId=id

### Description

Defines the value of the property `adapter`.AdapterId for the object adapter named `IceStorm.Publish`.

## IceStorm.Publish.ReplicaGroupId

### Synopsis

    IceStorm.Publish.ReplicaGroupId=id

### Description

Defines the value of the property `adapter`.ReplicaGroupId for the object adapter named `IceStorm.Publish`.

## IceStorm.Publish.Endpoints

### Synopsis

    IceStorm.Publish.Endpoints=endpoints

### Description

Defines the endpoints for the IceStorm publisher objects.

## IceStorm.Publish.PublishedEndpoints

### Synopsis

    IceStorm.Publish.PublishedEndpoints=endpoints

### Description

Defines the published endpoints for the IceStorm publisher objects. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IceStorm.Publish.RegisterProcess

### Synopsis

    IceStorm.Publish.RegisterProcess=num

### Description

Defines the value of the property `adapter`.RegisterProcess for the object adapter named `IceStorm.Publish`.

## IceStorm.Publish.ThreadPool.Size

### Synopsis

    IceStorm.Publish.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IceStorm.Publish`.

## IceStorm.Publish.ThreadPool.SizeMax

### Synopsis

    IceStorm.Publish.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IceStorm.Publish`.

## IceStorm.Publish.ThreadPool.SizeWarn

### Synopsis

    IceStorm.Publish.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IceStorm.Publish`.

## IceStorm.Trace.TopicManager

### Synopsis

    IceStorm.Trace.TopicManager=num

### Description

The topic manager trace level:

0 | No topic manager trace. (default)
1 | Trace topic creation.

## IceStorm.Trace.Topic

### Synopsis

    IceStorm.Trace.Topic=num

### Description

The topic trace level:

0 | No topic trace. (default)
1 | Trace topic links, subscription, and unsubscription.
2 | Like 1, but more verbose, including QoS information, and other diagnostic information.

## IceStorm.Trace.Flush

### Synopsis

    IceStorm.Trace.Flush=num

### Description

Trace information on the thread that flushes batch reliability events to subscribers:

0 | No flush trace. (default)
1 | Trace each flush.

## IceStorm.Trace.Subscriber

### Synopsis

    IceStorm.Trace.Subscriber=num

### Description

The subscriber trace level:

0 | No subscriber trace. (default)
1 | Trace topic diagnostic information on subscription and unsubscription.

## IceStorm.Flush.Timeout

### Synopsis

    IceStorm.Flush.Timeout=num

### Description

Defines the interval in milliseconds that batch reliability events are sent to subscribers. The default is 1000 ms. The minimum value of this property is 100 ms.

## IceStorm.TopicManager.Proxy

### Synopsis

    IceStorm.TopicManager.Proxy=proxy

### Description

Defines the proxy for the IceStorm topic manager. This property is used by the IceStorm administration tool, and may also be used by applications.

<<< Previous | Home | Next >>>
IceGrid Properties | Up | Glacier2 Properties